Name:           python-webtest
Version:        2.0.30
Release:        2
Summary:        Helper to test WSGI-based web applications
License:        MIT
URL:            https://github.com/Pylons/webtest
Source0:        https://github.com/Pylons/webtest/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel, python2-setuptools, python2-nose, python2-mock, python2-beautifulsoup4
BuildRequires:  python2-paste-deploy, python2-pyquery, python2-six, python2-waitress, python2-webob, python2-WSGIProxy2
BuildRequires:  python3-devel, python3-setuptools, python3-nose, python3-beautifulsoup4, python3-paste-deploy
BuildRequires:  python3-pyquery, python3-six, python3-waitress, python3-webob, python3-WSGIProxy2

%description
WebTest helps you test your WSGI-based web applications. This can be
any application that has a WSGI interface, including an application
written in a framework that supports WSGI (which includes most actively
developed Python web frameworks -- almost anything that even nominally
supports WSGI should be testable).

%package -n python2-webtest
%{?python_provide:%python_provide python2-webtest}
Summary:        Helper to test WSGI-based web applications
Requires:       python2-beautifulsoup4, python2-six, python2-waitress, python2-webob

%description -n python2-webtest
WebTest helps you test your WSGI-based web applications. This can be
any application that has a WSGI interface, including an application
written in a framework that supports WSGI (which includes most actively
developed Python web frameworks -- almost anything that even nominally
supports WSGI should be testable).

%package -n python3-webtest
%{?python_provide:%python_provide python3-webtest}
Summary:        Helper to test WSGI-based web applications
Requires:       python3-beautifulsoup4, python3-six, python3-waitress, python3-webob

%description -n python3-webtest
WebTest helps you test your WSGI-based web applications. This can be
any application that has a WSGI interface, including an application
written in a framework that supports WSGI (which includes most actively
developed Python web frameworks -- almost anything that even nominally
supports WSGI should be testable).

%prep
%autosetup -n webtest-%{version} -p1

rm -rf *.egg-info %{_builddir}/python3-%{name}-%{version}
cp -a . %{_builddir}/python3-%{name}-%{version}
cd %{_builddir}/python3-%{name}-%{version}
find tests -type f -exec sed -i "s|import mock|from unittest import mock|" {} \;
cd -

%build
%py2_build
cd %{_builddir}/python3-%{name}-%{version}
%py3_build
cd -

%install
cd %{_builddir}/python3-%{name}-%{version}
%py3_install
cd -
%py2_install

%check
PYTHONPATH=$(pwd) nosetests-2

cd %{_builddir}/python3-%{name}-%{version}
LANG=en_US.utf8
PYTHONPATH=$(pwd) nosetests-%{python3_version}
cd -

%files -n python2-webtest
%doc docs/*
%{python2_sitelib}/*

%files -n python3-webtest
%doc docs/*
%{python3_sitelib}/*

%changelog
* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 2.0.30-2
- init package
